NewFans API, previously OnlyFans API · A new name. A broader platform.
Fans API
OnlyFansSmart Links

Update Smart Link

Update cloaking or the event source URL override for this Smart Link. Omitted fields retain their current values.

PUT
/api/smart-links/{smart_link_id}
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

smart_link_id*string

The ID of the Smart Link

Request Body

application/json

cloaking_enabled?boolean

Whether to filter automated visits before opening the destination.

event_source_url?string

HTTP(S) page URL reported for this link’s pixel events, overriding the pixel URL. Send null to use the pixel or click URL.

Response Body

curl -X PUT "https://app.onlyfansapi.com/api/smart-links/01JCZWQJZXQJZXQJZXQJZXQJZX" \  -H "Content-Type: application/json" \  -d '{}'